### RevertSam

USAGE: RevertSam [options]

Reverts SAM or BAM files to a previous state by removing certain types of information and/or substituting in the original quality scores when available.

Option | Description
--- | ---
INPUT=File | The input SAM/BAM file to revert the state of. Required.
OUTPUT=File | The output SAM/BAM file to create. Required.
SORT_ORDER=SortOrder | The sort order to create the reverted output file with. Default value: queryname. This option can be set to 'null' to clear the default value. Possible values: {unsorted, queryname, coordinate}
RESTORE_ORIGINAL_QUALITIES=Boolean | True to restore original qualities from the OQ field to the QUAL field if available. Default value: true. This option can be set to 'null' to clear the default value. Possible values: {true, false}
REMOVE_DUPLICATE_INFORMATION=Boolean | Remove duplicate read flags from all reads. Note that if this is true and REMOVE_ALIGNMENT_INFORMATION==false, the output may have the unusual but sometimes desirable trait of having unmapped reads that are marked as duplicates. Default value: true. This option can be set to 'null' to clear the default value. Possible values: {true, false}
REMOVE_ALIGNMENT_INFORMATION=Boolean | Remove all alignment information from the file. Default value: true. This option can be set to 'null' to clear the default value. Possible values: {true, false}
ATTRIBUTE_TO_CLEAR=String | When removing alignment information, the set of optional tags to remove. This option may be specified 0 or more times. This option can be set to 'null' to clear the default list.
SAMPLE_ALIAS=String | The sample alias to use in the reverted output file. This will override the existing sample alias in the file and is used only if all the read groups in the input file have the same sample alias Default value: null.
LIBRARY_NAME=String | The library name to use in the reverted output file. This will override the existing sample alias in the file and is used only if all the read groups in the input file have the same sample alias Default value: null.